Subject: Re: [AVTCORE] Magnus Westerlund's Discuss on draft-ietf-payload-rtp-ttml-03: (with DISCUSS and COMMENT)

From: Christer Holmberg <[email-masked]>
Date: Wed, 16 Oct 2019 15:31:22 +0000

Hi,

...
    
    >>2. A Discuss Discuss: As Timed Text is directly associated with one or more
    >>video and audio streams and requires synchronization with these other media
    >>streams to function correct. This leads to two questions.
    >>
    >>        First of all is application/ttml+xml actually the right top-level media
    >>        type? If using SDP that forces one unless one have BUNDLE to use a
    >>        different RTP session. Many media types having this type of properties
    >>        of being associated with some other media types have registered media
    >>        types in all relevant top-level media types.
    >
    > I think we need to be careful with assumptions here. Timed Text MAY be associated with Video and/or Audio streams but there is no 
    > requirement to do so. Just as there is no requirement for Video to be associated with Audio or visa-versa.
    >
    > I'm cautious about opening a can of worms with regards to media types. But my personal opinion is that TTML is not video and it is not audio.
    > It may be associated with them but it is not those. It therefore shouldn't have registered types for video, audio, etc. If the association of different top-level
    > media types is currently difficult, that is an issue I believe should be addressed outside of the scope of this document.

Regarding BUNDLE, *IF* you want to be able to multiplex ttml with RTP (audio and/or video) on the same RTP session using you need to define how to
separate ttml packets from RTP packets (see Section 9 in BUNDLE). If NOT, I think it still would be good to specify that.

Related to that, has this draft been reviewed by the SDP directorate? There are no proper SDP Offer/Answer considerations.

Regards,

Christer